#[doc = "Register `TRIM4` reader"]
pub struct R(crate::R<TRIM4_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<TRIM4_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<TRIM4_SPEC>> for R {
    fn from(reader: crate::R<TRIM4_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `TRIM4` writer"]
pub struct W(crate::W<TRIM4_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<TRIM4_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<TRIM4_SPEC>> for W {
    fn from(writer: crate::W<TRIM4_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `COMP2_TRIMB` reader - Trim B for Comparator #2"]
pub struct COMP2_TRIMB_R(crate::FieldReader<u8, u8>);
impl COMP2_TRIMB_R {
    pub(crate) fn new(bits: u8) -> Self {
        COMP2_TRIMB_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for COMP2_TRIMB_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `COMP2_TRIMB` writer - Trim B for Comparator #2"]
pub struct COMP2_TRIMB_W<'a> {
    w: &'a mut W,
}
impl<'a> COMP2_TRIMB_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x1f) | (value as u32 & 0x1f);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:4 - Trim B for Comparator #2"]
    #[inline(always)]
    pub fn comp2_trimb(&self) -> COMP2_TRIMB_R {
        COMP2_TRIMB_R::new((self.bits & 0x1f) as u8)
    }
}
impl W {
    #[doc = "Bits 0:4 - Trim B for Comparator #2"]
    #[inline(always)]
    pub fn comp2_trimb(&mut self) -> COMP2_TRIMB_W {
        COMP2_TRIMB_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "LPCOMP Trim Register\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [trim4](index.html) module"]
pub struct TRIM4_SPEC;
impl crate::RegisterSpec for TRIM4_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [trim4::R](R) reader structure"]
impl crate::Readable for TRIM4_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [trim4::W](W) writer structure"]
impl crate::Writable for TRIM4_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets TRIM4 to value 0"]
impl crate::Resettable for TRIM4_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
